Loading...
Searching...
No Matches
volk_8u_conv_k7_r2puppet_8u.h File Reference
`#include <string.h>`
`#include <volk/volk.h>`
`#include <volk/volk_8u_x4_conv_k7_r2_8u.h>`
`#include <emmintrin.h>`
`#include <mmintrin.h>`
`#include <pmmintrin.h>`
`#include <stdio.h>`
`#include <xmmintrin.h>`

Go to the source code of this file.

## Data Structures

union | p_decision_t

## Functions

static int | parity (int x)
static int | chainback_viterbi (unsigned char *data, unsigned int nbits, unsigned int endstate, unsigned int tailsize, unsigned char *decisions)
static void | volk_8u_conv_k7_r2puppet_8u_spiral (unsigned char *dec, unsigned char *syms, unsigned int framebits)
static void | volk_8u_conv_k7_r2puppet_8u_neonspiral (unsigned char *dec, unsigned char *syms, unsigned int framebits)
static void | volk_8u_conv_k7_r2puppet_8u_generic (unsigned char *dec, unsigned char *syms, unsigned int framebits)

## Function Documentation

## chainback_viterbi()

int chainback_viterbi | ( | unsigned char * | data,
|  | unsigned int | nbits,
|  | unsigned int | endstate,
|  | unsigned int | tailsize,
|  | unsigned char * | decisions )

inline static

## parity()

int parity | ( | int | x | ) |

inline static

## volk_8u_conv_k7_r2puppet_8u_generic()

void volk_8u_conv_k7_r2puppet_8u_generic | ( | unsigned char * | dec,
|  | unsigned char * | syms,
|  | unsigned int | framebits )

inline static

## volk_8u_conv_k7_r2puppet_8u_neonspiral()

void volk_8u_conv_k7_r2puppet_8u_neonspiral | ( | unsigned char * | dec,
|  | unsigned char * | syms,
|  | unsigned int | framebits )

inline static

## volk_8u_conv_k7_r2puppet_8u_spiral()

void volk_8u_conv_k7_r2puppet_8u_spiral | ( | unsigned char * | dec,
|  | unsigned char * | syms,
|  | unsigned int | framebits )

inline static